#!/usr/bin/python3
# -*- coding: utf-8 -*-

#  Copyright © 2017  B. Clausius <barcc@gmx.de>
#
#  This program is free software: you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation, either version 3 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program.  If not, see <http://www.gnu.org/licenses/>.

import sys

from polib import pofile


def main():
    args = sys.argv[1:]
    if len(args) == 0:
        file = pofile(sys.stdin.read())
    elif len(args) == 1:
        file = pofile(args[0])
    else:
        assert False
    for entry in file:
        print('msgid', repr(entry.msgid))
        
        
if __name__ == '__main__':
    main()
    

