#!/bin/bash

if [ "$1" ]; then
    app="$1"
else
    app=
    for f in ~/.local/share/applications/*pybik*.desktop; do
        if [ -f "$f" ]; then
            app="$(basename "$f" .desktop)"
            break
        fi
    done
fi
echo "App: $app"
[ "$app" ] || exit 1

rm ~/.cache/upstart/application-*-"$app"*.log

ubuntu-app-launch "$app" & sleep 1

less +F ~/.cache/upstart/application-*-"$app"*.log

if read -p "Press enter to stop" unused; then
    ubuntu-app-stop "$app"
else
    echo
fi

