#!/bin/bash

export CFLAGS=-O0

if [ "$1" = "-f" ]; then
    shift
    rm pybiklib/ext/*.so
    rm -r build/
fi
if [ "$1" = "-d" ]; then
    shift
    debugflags="--debugflags=gldebug"
fi
./setup.py build -i --variant=es2 --arch-only $debugflags
cp pybiklib/pybik.py .
rm ~/.local/share/applications/pybik*.desktop
for filename in $PWD/tools/phone/pybik*.desktop; do
    filebase="$(basename $filename)"
    ln -s "$filename" ~/.local/share/applications/"$filebase"
done

